Campaign Rewards
Campaign-specific reward operations
Retrieve supply information for a campaign
Campaign ID
Campaign supply information
trueUnauthorized
Not found
Internal server error
GET /api/campaigns/{campaign_id}/supply HTTP/1.1
Host: rewards.decentraland.org
Accept: */*
{
"ok": true,
"data": [
{
"campaign_id": "123e4567-e89b-12d3-a456-426614174000",
"target": "0x1234567890123456789012345678901234567890",
"value": "1",
"group": "premium",
"total": 1000,
"remaining": 500
}
]
}Add supply items to a campaign
Campaign ID
Target contract
0x1234567890123456789012345678901234567890Value in the contract
1Delivery strategy for the reward
CollectionV2IssueTokenPossible values: Human-readable name
Summer HatImage URL
https://example.com/image.pngSupply amount
1000Supply group
premiumAssignment priority
1Supply created successfully
trueBad request
Unauthorized
Not found
Internal server error
POST /api/campaigns/{campaign_id}/supply HTTP/1.1
Host: rewards.decentraland.org
Content-Type: application/json
Accept: */*
Content-Length: 213
{
"target": "0x1234567890123456789012345678901234567890",
"value": "1",
"airdrop_type": "CollectionV2IssueToken",
"token": "Summer Hat",
"image": "https://example.com/image.png",
"supply": 1000,
"group": "premium",
"priority": 1
}{
"ok": true,
"data": {
"campaign_id": "123e4567-e89b-12d3-a456-426614174000",
"target": "0x1234567890123456789012345678901234567890",
"value": "1",
"group": "premium",
"total": 1000,
"remaining": 500
}
}Remove or update supply items from a campaign
Campaign ID
Target contract
0x1234567890123456789012345678901234567890Value in the contract
1Supply group
premiumSupply amount to remove
100Supply updated successfully
trueBad request
Unauthorized
Not found
Internal server error
PATCH /api/campaigns/{campaign_id}/supply HTTP/1.1
Host: rewards.decentraland.org
Content-Type: application/json
Accept: */*
Content-Length: 98
{
"target": "0x1234567890123456789012345678901234567890",
"value": "1",
"group": "premium",
"supply": 100
}{
"ok": true,
"data": {
"campaign_id": "123e4567-e89b-12d3-a456-426614174000",
"target": "0x1234567890123456789012345678901234567890",
"value": "1",
"group": "premium",
"total": 1000,
"remaining": 500
}
}Retrieve rewards for a specific campaign key
Campaign ID
Campaign Key ID
Maximum number of results per request
100Number of results to skip
0Campaign key rewards
trueTotal number of rewards
Unauthorized
Not found
Internal server error
GET /api/campaigns/{campaign_id}/keys/{campaign_key_id}/rewards HTTP/1.1
Host: rewards.decentraland.org
Accept: */*
{
"ok": true,
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"campaign_id": "123e4567-e89b-12d3-a456-426614174000",
"campaign_key": "123e4567-e89b-12d3-a456-426614174000",
"user": "0x1234567890123456789012345678901234567890",
"status": "assigned",
"chain_id": "137",
"transaction_hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
"block_number": 12345678,
"airdrop_type": "CollectionV2IssueToken",
"target": "0x1234567890123456789012345678901234567890",
"value": "1",
"priority": 1,
"group": "premium",
"token": "Summer Hat",
"image": "https://example.com/image.png",
"rarity": "rare",
"category": "hat",
"from_referral": "0x1234567890123456789012345678901234567890",
"payload": "0x1234567890abcdef",
"signature": "0xabcdef1234567890",
"expires_at": "2024-12-31T23:59:59Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"assigned_at": "2024-01-01T00:00:00Z"
}
],
"total": 1
}Assign a reward to a user for a specific campaign
Campaign ID
Campaign key
summer2024User address to assign the reward to
0x1234567890123456789012345678901234567890Captcha identifier
123e4567-e89b-12d3-a456-426614174000Captcha value
ABC123Catalyst URL where the user is connected
https://peer.decentraland.orgCampaign reward assigned successfully
trueBad request
Unauthorized
Not found
Internal server error
POST /api/campaigns/{campaign_id}/rewards HTTP/1.1
Host: rewards.decentraland.org
Content-Type: application/json
Accept: */*
Content-Length: 208
{
"campaign_key": "summer2024",
"beneficiary": "0x1234567890123456789012345678901234567890",
"captcha_id": "123e4567-e89b-12d3-a456-426614174000",
"captcha_value": "ABC123",
"catalyst": "https://peer.decentraland.org"
}{
"ok": true,
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"campaign_id": "123e4567-e89b-12d3-a456-426614174000",
"campaign_key": "123e4567-e89b-12d3-a456-426614174000",
"user": "0x1234567890123456789012345678901234567890",
"status": "assigned",
"chain_id": "137",
"transaction_hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
"block_number": 12345678,
"airdrop_type": "CollectionV2IssueToken",
"target": "0x1234567890123456789012345678901234567890",
"value": "1",
"priority": 1,
"group": "premium",
"token": "Summer Hat",
"image": "https://example.com/image.png",
"rarity": "rare",
"category": "hat",
"from_referral": "0x1234567890123456789012345678901234567890",
"payload": "0x1234567890abcdef",
"signature": "0xabcdef1234567890",
"expires_at": "2024-12-31T23:59:59Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"assigned_at": "2024-01-01T00:00:00Z"
}
]
}Claim rewards for a specific campaign
Campaign ID
User address to claim rewards for
0x1234567890123456789012345678901234567890Campaign reward claimed successfully
trueBad request
Unauthorized
Not found
Internal server error
POST /api/campaigns/{campaign_id}/claims HTTP/1.1
Host: rewards.decentraland.org
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"beneficiary": "0x1234567890123456789012345678901234567890"
}{
"ok": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"user": "0x1234567890123456789012345678901234567890",
"chain_id": "137",
"contract": "0x1234567890123456789012345678901234567890",
"transaction_payload": "0x1234567890abcdef",
"transaction_payload_hash": "0xabcdef1234567890",
"status": "claimed",
"rewards": [
"123e4567-e89b-12d3-a456-426614174000"
],
"expires_at": "2024-12-31T23:59:59Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}Last updated